#!/usr/bin/python3
import os
import at
import matplotlib.pylab as mp
import numpy as np
lattfile = "~/src/gitlab/dt/machine/lattice/elettra2/srElettra2_9_4_beta.mat"
#lattfile = "~/src/gitlab/dt/machine/lattice/elettra2/srElettra2_9_4_beta_test_digital_twins.mat"
#lattfile = "~/esrf_visit/last.mat"
lattfile = os.path.expanduser(lattfile)
ring=at.load_lattice(lattfile, energy=2.4e9)


refpts = range(len(ring) + 1)
ring.radiation_off()

elemdata0, ringdata,elemdata=at.linopt6(ring,refpts,0.00)
[chromH,chromV]=ring.get_chrom()
[tuneH,tuneV] = ring.get_tune()
s_pos = elemdata['s_pos']
#--- lionop needs radiation off
ring.radiation_on()
ring.rf_voltage=2e6
#elemdata0, tune, chrom, elemdata=at.linopt(ring,refpts)
incoord = np.array([0.0001,0.00, 0.0002, 0.0, 0.0,0.0])
mrefpts=[3]
nt = 10000
coord = at.lattice_pass(ring,incoord,nt,mrefpts)

h_traj=coord[0, 0, :, :] # get X
v_traj=coord[3, 0, :, :] # get Y

plotbase = (np.array([np.arange(0,nt)]))
mp.figure()
mp.plot(plotbase,h_traj,'.')
mp.xlabel('n')
mp.ylabel('x')
mp.title('traj_x' )
mp.figure()
mp.plot(plotbase,v_traj,'.')
mp.xlabel('n')
mp.ylabel('y')
mp.title('traj_y' )

mp.xlabel('s [m]')
mp.ylabel('m')
mp.title('traj_x' )
mp.show()
